$( window ).load(function loadComboData()
{
	jQuery.ajaxSetup({async:false});
	GetComboData('', 'consulta-materia', 'materias', true);

	$('#consulta-materia').val(mtsarray.m);
	GetComboData('consulta-materia', 'consulta-tema', 'temas', false);
	$('#consulta-tema').val(mtsarray.t);
	GetComboData('consulta-tema', 'consulta-subtema', 'subtemas', false);
	$('#consulta-subtema').val(mtsarray.s);
	jQuery.ajaxSetup({async:true});

	// mtsarray.m.each(function(index, el) {
	// 	$('#consulta-materia').val(text);
	// });
});

function operador(id, op){
	$('#op' + id).val(op);
	$('#opbtn'+ id + ' strong').text(op.toUpperCase());
	$('#pal' + id).focus();
}

$('#responde-form').on('submit', function() {
	var formData = $('#responde-form').serializeArray();

	$.ajax({
		url:  base_url() + 'consultor/responder_consulta',
		type: 'POST',
		dataType: 'json',
		data: formData,
	})
	.done(function() {
		bootbox.alert("Se guardó correctamente la respuesta", function() {
                console.log("Respuesta guardada");
            });
	})
	.fail(function() {
		console.log("error");
	});
	

	return false;
});

$('#buscar-contenido').on('show.bs.modal', function(event) {
	var id=$(event.relatedTarget).data('id');
	jQuery.ajaxSetup({async:false});

	 // $("#materia").get(0).options.length = 0;
  //    $("#tema").get(0).options.length = 0;
  //    $("#subtema").get(0).options.length = 0;

	$.ajax({
		url: base_url() + 'consultor/leer_consulta',
		type: 'POST',
		dataType: 'json',
		data: {idconsulta: id}
	})
	.done(function(response) {
		var consulta=response[0];

		// GetComboData(consulta.materia,'consulta-tema','temas',true);
  //   	GetComboData(consulta.tema,'consulta-subtema','subtemas',true);

    	jQuery.ajaxSetup({async:true});

    	$('#materia').val(consulta.materia);
		$('#tema').val(consulta.tema);
		$('#subtema').val(consulta.subtema);
	})
	.fail(function() {
		console.log("error");
	});
	
});

$("#busqueda-form").on('submit', function(event) {
	// event.preventDefault();
	var formData = $("#busqueda-form :input").serializeArray();
	// var pal2 = $("#pal2").val();
	// var pal3 = $("#pal3").val();
	// if (pal2 == '' & pal3 !='') {
	// 	alert("Si usa Palabra 3, Palabra 2 no puede estar vacia");
	// 	return;
	// }

	$.ajax({
		type:'POST',
		url: base_url() + 'consultor/busqueda-form',                    
		dataType:'json',
		data: formData,                    
		cache:false,
		success:function(data){
		    //$data=result[];
			var trHTML = '';
			var HTML = '';

			if(typeof(data.textos) !== "undefined"){
				$('#numtextos').html(data.textos.length);
				$.each(data.textos, function (i, item) {
					trHTML += '<tr><td><div class="checkbox"><label><input type="checkbox" value="' 
					+ item.idtexto + '"></label></div></td><td id="contenido-'+ item.idtexto +'">' 
					+ item.contenido + '</td></tr>';
				});
			} else {
				$('#numtextos').html('0');
			}

			if(typeof(data.respuestas) !== "undefined"){
				$('#numrespuestas').html(data.respuestas.length);
				$.each(data.respuestas, function(index, val) {
					//HTML += '<tr><td>' + val.respuesta + '</td></tr>';

					HTML += '<tr><td><div class="checkbox"><label><input type="checkbox" value="' 
					+ val.idrespuesta + '"></label></div></td><td id="respuesta-'+ val.idrespuesta +'">' 
					+ val.respuesta + '</td></tr>';
				});
			} else {
				$('#numrespuestas').html('0');
			}
		

			$("#resultados tr").not(':first').remove();
			$("#respuestas tr").not(':first').remove();
			if(trHTML == ''){
				trHTML = '<tr class="warning"><td colspan="3">No se encontraron resultados que cumplan los criterios de su búsqueda</td></tr>';
		 	    //HTML = '<tr class="warning"><td colspan="3">No se encontraron respuestas que cumplan con los criterios de búsqueda</td></tr>';
			}
			if(HTML == ''){
				HTML = '<tr class="warning"><td colspan="3">No se encontraron resultados que cumplan los criterios de su búsqueda</td></tr>';
		 	    //HTML = '<tr class="warning"><td colspan="3">No se encontraron respuestas que cumplan con los criterios de búsqueda</td></tr>';
			}
			$('#resultados').append(trHTML);
			$('#respuestas').append(HTML);
		},
		error:function(){alert("Ocurrió un problema al conectar con el servidor.\n Intente de nuevo. \n\nSi el problema persiste, contacte con el administrador");}
	});
	return false;
});



$('#agregar-respuesta').on('click', function() {

	var anySelected = false;

	$('#resultado_panel input[type=checkbox]').each(function() {

		if ($(this).is(':checked')) {

			anySelected = true;

			var idContenido = $(this).val();
			var ley = $('#contenido-' + idContenido).text() + '\n' ;

			var textAreaRespuesta = $('#respuesta').val();

			$('#respuesta').val(textAreaRespuesta + '\n\n' + ley);

		};
	});

	$('#respuesta_panel input[type=checkbox]').each(function() {

		if ($(this).is(':checked')) {

			anySelected = true;

			var idRespuesta = $(this).val();
			var respuesta = $('#respuesta-' + idRespuesta).text() + '\n' ;

			var textAreaRespuesta = $('#respuesta').val();

			$('#respuesta').val(textAreaRespuesta + '\n\n' + respuesta);

		};
	});

	if(anySelected){
		// -----------------------------
		var materiasArray = new Array();
		var temasArray = new Array();
		var subtemasArray = new Array();

		$('#consulta-materia').serializeArray().forEach(function(obj) {
			materiasArray.push(obj.value);
		});
		
		$('#consulta-tema').serializeArray().forEach(function(obj) {
			temasArray.push(obj.value);
		});
		
		$('#consulta-subtema').serializeArray().forEach(function(obj) {
			subtemasArray.push(obj.value);
		});

		$('#materias_respuesta').val(materiasArray.toString());
		$('#temas_respuesta').val(temasArray.toString());
		$('#subtemas_respuesta').val(subtemasArray.toString());

		$('#pal1_respuesta').val($('#pal1').val());
		$('#pal2_respuesta').val($('#pal2').val());
		$('#pal3_respuesta').val($('#pal3').val());
		$('#pal4_respuesta').val($('#pal4').val());
		$('#pal5_respuesta').val($('#pal5').val());
		$('#pal6_respuesta').val($('#pal6').val());

		$('#op1_respuesta').val($('#op1').val());
		$('#op2_respuesta').val($('#op2').val());
		$('#op3_respuesta').val($('#op3').val());
		$('#op4_respuesta').val($('#op4').val());
		$('#op5_respuesta').val($('#op5').val());
		$('#op6_respuesta').val($('#op6').val());
		// -----------------------------

		$("#busqueda-form").trigger('reset');
		$("#resultados tr").not(':first').remove();
		$("#respuestas tr").not(':first').remove();
		$('#numrespuestas, #numtextos').html('0');
	}

	$('#buscar-contenido').modal('hide');

});

$('#avance-form').on('submit', function(event) {
	event.preventDefault();
	$.ajax({
			url: base_url() + 'consultor/registrar-avance',
			type: 'POST',
			dataType: 'json',
			data: $('#avance-form').serializeArray(),
		})
		.done(function(response) {
				if (typeof(response) != 'undefined')
					if (typeof(response.status) != 'undefined')
						if (response.status == true) {
							bootbox.alert("Se guardó correctamente la respuesta", function () {
								location.reload();
							});
							return;
						}
				bootbox.alert("No se guardó la respuesta");
			}
		)
.fail(function() {
		bootbox.alert("No se guardó la respuesta");
		console.log("error");
	})
	.always(function() {
		console.log("complete");
	});
	
});

function cerrarConsulta(idConsulta, imprimir){

	bootbox.confirm("<h4>Presione OK para terminar esta consulta. Una vez terminada no se podrá modificar la respuesta. <br><br> Las consultas terminadas se agregan automáticamente al expediente</h4>", function (choice) {
		if (choice == true) {
			$.ajax({
				type:'POST',
				url: base_url() + 'consultor/terminar-consulta',                    
				dataType:'json',
				data: {idconsulta: idConsulta},                    
				cache:false,
				success:function(result){ 
					if(imprimir == 0){
						location.href = base_url() + 'consultor/expediente/casos';	
					} else {
						$('<a href="'+base_url()+'reportes/reporte-consulta/imprimir/'+idConsulta+'">link</a>').hide().appendTo('body')[0].click();
					}
				},
				error:function(){alert("No se pudo terminar la consulta\n Intente de nuevo. \n\nSi el problema persiste, contacte con el administrador");}
			});
		}
	});
}
