<div class="container">
	<div class="row">
		<div class="col-sm-4 col-md-3 col-lg-3">
			<div class="panel panel-primary">
				<div class="panel-heading">Información del cliente</div>
				<div class="panel-body">
<!-- <a href="#" class="thumbnail">
<img src="<?=base_url()?>img/user-pictures/user-default.jpg" class="img-responsive" alt="">
</a> -->
</div>

<!-- Table -->
<table class="table table-bordered">
	<tbody>
		<tr>
			<td class="active"><strong>Nombre:</strong></td>
			<td><?=$consulta->apellidop.' '.$consulta->apellidom.', '.$consulta->nombres?></td>
		</tr>
		<tr>
			<td class="active"><strong>Estado:</strong></td>
			<td><?=$categorias['estados'][$consulta->estado+1]?></td>
		</tr>
		<tr>
			<td class="active"><strong>Materia:</strong></td>
			<td><?=$categorias['materias'][$consulta->materia]?></td>
		</tr>
		<tr>
			<td class="active"><strong>Tema:</strong></td>
			<td><?=$categorias['temas'][$consulta->tema]?></td>
		</tr>
		<tr>
			<td class="active"><strong>Subtema:</strong></td>
			<td><?=$categorias['subtemas'][$consulta->subtema]?></td>
		</tr>
	</tbody>
</table>
</div>
</div>
<div class="col-sm-8 col-md-9 col-lg-9">
	<div class="row">
		<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
			<div class="panel panel-default">
				<div class="panel-heading">
					<strong>Asesoría solicitada</strong>
				</div>
				<div class="panel-body">
					<blockquote>
						<?=$consulta->contenido?>
						<!-- <footer><?=$consulta->apellidop.' '.$consulta->apellidom.', '.$consulta->nombres?>, 12:36 18/Feb/2015</footer>-->
					</blockquote> 
					</div>
				</div>
			</div>
			<?php if($consulta->completada == '1'): ?>
				<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
					<div class="panel panel-default">
						<div class="panel-heading">
							<strong>Respuesta</strong>
						</div>
						<div class="panel-body">
							<blockquote><?=$consulta->respuesta?></blockquote>
						</div>
					</div>
				</div>
			<?php if($this->session->userdata('consultor_tipo_usuario') != 'abogado'): ?>
				<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
					<div class="panel panel-default">
						<div class="panel-heading">
							<strong>Seguimiento</strong>
						</div>
						<div class="panel-body">
							<?php if(!empty($seguimiento) && is_array($seguimiento) && sizeof($seguimiento) > 0): ?>
							<?php foreach($seguimiento as $avance): ?>
								<p><strong>Avance de la fecha <?=$avance->timestamp?></strong><br>
								<?=$avance->avance?></p>
								<br>
							<?php endforeach;?>
							<?php else:?>
								<p><strong>Sin registros de avance</strong></p>
								<br>
							<?php endif; ?>
							<?php if($this->session->userdata('consultor_tipo_usuario') == 'ejecutor'): ?>
								<form action="" id="avance-form" method="POST" role="form">
								<input type="hidden" name="idconsulta" id="idconsulta" value="<?=$consulta->idconsulta?>">
								<div class="form-group">
								<label for="avance" class="control-label">Nuevo avance:</label>
								<textarea name="avance" id="avance" class="form-control" rows="7" required="required"></textarea>
								</div>
								<div class="form-group">
									<div class="row">
										<div class="col-sm-12 col-md-4 col-md-offset-8"><button type="submit" class="btn btn-primary btn-block">Registrar</button></div>
									</div>
								</div>
								</form>
							<?php endif; ?>
						</div>
					</div>
				</div>
			<?php endif; ?>
			<?php else: ?>
			<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
				<div class="panel panel-default">
					<div class="panel-heading">
						<strong>Respuesta</strong>
					</div>
					<div class="panel-body">
						<form action="" id="responde-form" method="POST" role="form">
							<div class="form-group">
								<textarea name="respuesta" id="respuesta" class="form-control" rows="7" required="required"><?=$consulta->respuesta?></textarea>
							</div>
							<input type="hidden" name="idconsulta" id="idconsulta" value="<?=$consulta->idconsulta?>">
							<input type="hidden" name="materias_respuesta" id="materias_respuesta" value="<?=$respuesta->materias?>">
							<input type="hidden" name="temas_respuesta" id="temas_respuesta" value="<?=$respuesta->temas?>">
							<input type="hidden" name="subtemas_respuesta" id="subtemas_respuesta" value="<?=$respuesta->subtemas?>">
							<input type="hidden" name="op1_respuesta" id="op1_respuesta" value="<?=$respuesta->op1?>">
							<input type="hidden" name="pal1_respuesta" id="pal1_respuesta" value="<?=$respuesta->pal1?>">
							<input type="hidden" name="op2_respuesta" id="op2_respuesta" value="<?=$respuesta->op2?>">
							<input type="hidden" name="pal2_respuesta" id="pal2_respuesta" value="<?=$respuesta->pal2?>">
							<input type="hidden" name="op3_respuesta" id="op3_respuesta" value="<?=$respuesta->op3?>">
							<input type="hidden" name="pal3_respuesta" id="pal3_respuesta" value="<?=$respuesta->pal3?>">
							<input type="hidden" name="op4_respuesta" id="op4_respuesta" value="<?=$respuesta->op4?>">
							<input type="hidden" name="pal4_respuesta" id="pal4_respuesta" value="<?=$respuesta->pal4?>">
							<input type="hidden" name="op5_respuesta" id="op5_respuesta" value="<?=$respuesta->op5?>">
							<input type="hidden" name="pal5_respuesta" id="pal5_respuesta" value="<?=$respuesta->pal5?>">
							<input type="hidden" name="op6_respuesta" id="op6_respuesta" value="<?=$respuesta->op6?>">
							<input type="hidden" name="pal6_respuesta" id="pal6_respuesta" value="<?=$respuesta->pal6?>">
							<div class="form-group">
								<div class="row">
									<div class="col-xs-12 col-sm-12 col-md-4 col-lg-4">
									<button type="button" class="btn btn-info" style="width: 100%" value="redirect" onclick="location.href = base_url() + 'consultor/consultas/lista'"><span class="glyphicon glyphicon-circle-arrow-left" aria-hidden="true"></span> Regresar a la lista</button>
									</div>
									<div class="col-xs-12 col-sm-12 col-md-4 col-lg-4">
										<button type="button" class="btn btn-success" style="width: 100%" data-toggle="modal" data-target="#buscar-contenido" data-id="<?=$consulta->idconsulta?>"><span class="glyphicon glyphicon-search" aria-hidden="true"></span> Contenido legal</button>
									</div>
									<div class="col-xs-12 col-sm-12 col-md-4 col-lg-4">
										<button type="submit" class="btn btn-primary" style="width: 100%"><span class="glyphicon glyphicon-send" aria-hidden="true"></span> Guardar respuesta</button>
									</div>
								</div>
							</div>
							<div class="form-group">
								<div class="row">
									<div class="col-sm-12 col-md-4 col-md-offset-2">
										<button type="button" class="btn btn-warning" onclick="cerrarConsulta('<?=$consulta->idconsulta?>', 0)" style="width: 100%"><span class="glyphicon glyphicon-remove-circle" aria-hidden="true"></span> Finalizar consulta</button>
									</div>
									<div class="col-sm-12 col-md-4">
										<button type="button" class="btn btn-warning" onclick="cerrarConsulta('<?=$consulta->idconsulta?>', 1)" style="width: 100%"><span class="glyphicon glyphicon-remove-circle" aria-hidden="true"></span> Finalizar e imprimir</button>
									</div>
								</div>
							</div>
						</form>
					</div>
				</div>
			</div>
			<?php endif; ?>
		</div>
	</div>
</div>
</div>
<script type="text/javascript">
	var mtsarray = <?=$consulta->mtsarray?>;
</script>
<div class="modal fade" id="buscar-contenido">
	<div class="modal-dialog modal-lg">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
				<h4 class="modal-title">Buscar contenido legal</h4>
			</div>
			<div class="modal-body">
				<div class="container-fluid">
					<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
						<?php echo form_open('Consultor/busqueda-form', 'id="busqueda-form" role="form"'); ?>
						<div class="row">
							<div class="col-xs-12 col-sm-4">
								<div class="form-group">
									<label for="materia">Materia: </label>
									<select name="materia[]" id="consulta-materia" multiple class="form-control" onchange="GetComboData('consulta-materia', 'consulta-tema', 'temas', false)"  required="required" style="overflow: auto;">
										<option value=""></option>
									</select>
								</div>
							</div>
							<div class="col-xs-12 col-sm-4">
								<div class="form-group">
									<label for="tema">Tema: </label>
									<select name="tema[]" id="consulta-tema" multiple class="form-control"  onchange="GetComboData('consulta-tema', 'consulta-subtema', 'subtemas', false)">
										<option value=""></option>
									</select>
								</div>
							</div>
							<div class="col-xs-12 col-sm-4">
								<div class="form-group">
									<label for="subtema">Subtema: </label>
									<select name="subtema[]" id="consulta-subtema" multiple class="form-control">
										<option value=""></option>
									</select>
								</div>
							</div>
						</div>
						<div class="row">
							<div class="col-xs-12 col-sm-4">
								<div class="form-group">
									<label for="pal1" class="">Palabra 1:</label>
									<input type="hidden" name="op1" id="op1" value="and">
									<input type="text" name="pal1" id="pal1" class="form-control" value="" required="required">
								</div>
							</div>
							<div class="col-xs-12 col-sm-4">
								<div class="form-group">
									<label for="pal2" class="">Palabra 2:</label>
									<div class="input-group">
										<div class="input-group-btn">
											<button type="button" id="opbtn2" class="btn btn-primary dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><strong>OR</strong> <span class="caret"></span></button>
											<ul class="dropdown-menu">
												<li><a href="#operador" onclick="operador('2', 'or')">OR</a></li>
												<li><a href="#operador" onclick="operador('2', 'and')">AND</a></li>
												<li><a href="#operador" onclick="operador('2', 'not')">NOT</a></li>
											</ul>
										</div><!-- /btn-group -->
										<input type="hidden" name="op2" id="op2" value="or">
										<input type="text" name="pal2" id="pal2" class="form-control" value="">
									</div><!-- /input-group -->
								</div>
							</div>
							<div class="col-xs-12 col-sm-4">
								<div class="form-group">
									<label for="pal3" class="">Palabra 3:</label>
									<div class="input-group">
										<div class="input-group-btn">
											<button type="button" id="opbtn3" class="btn btn-primary dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><strong>OR</strong> <span class="caret"></span></button>
											<ul class="dropdown-menu">
												<li><a href="#operador" onclick="operador('3', 'or')">OR</a></li>
												<li><a href="#operador" onclick="operador('3', 'and')">AND</a></li>
												<li><a href="#operador	" onclick="operador('3', 'not')">NOT</a></li>
											</ul>
										</div><!-- /btn-group -->
										<input type="hidden" name="op3" id="op3" value="or"	>
										<input type="text" name="pal3" id="pal3" class="form-control" value="">
									</div><!-- /input-group -->
								</div>
							</div>
						</div>

						<div class="row">
							<div class="col-xs-12 col-sm-4">
								<div class="form-group">
									<label for="pal4" class="">Palabra 4:</label>
									<div class="input-group">
										<div class="input-group-btn">
											<button type="button" id="opbtn4" class="btn btn-primary dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><strong>OR</strong> <span class="caret"></span></button>
											<ul class="dropdown-menu">
												<li><a href="#operador" onclick="operador('4', 'or')">OR</a></li>
												<li><a href="#operador" onclick="operador('4', 'and')">AND</a></li>
												<li><a href="#operador" onclick="operador('4', 'not')">NOT</a></li>
											</ul>
										</div><!-- /btn-group -->
										<input type="hidden" name="op4" id="op4" value="or">
										<input type="text" name="pal4" id="pal4" class="form-control" value="">
									</div><!-- /input-group -->
								</div>
							</div>
							<div class="col-xs-12 col-sm-4">
								<div class="form-group">
									<label for="pal5" class="">Palabra 5:</label>
									<div class="input-group">
										<div class="input-group-btn">
											<button type="button" id="opbtn5" class="btn btn-primary dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><strong>OR</strong> <span class="caret"></span></button>
											<ul class="dropdown-menu">
												<li><a href="#operador" onclick="operador('5', 'or')">OR</a></li>
												<li><a href="#operador" onclick="operador('5', 'and')">AND</a></li>
												<li><a href="#operador" onclick="operador('5', 'not')">NOT</a></li>
											</ul>
										</div><!-- /btn-group -->
										<input type="hidden" name="op5" id="op5" value="or">
										<input type="text" name="pal5" id="pal5" class="form-control" value="">
									</div><!-- /input-group -->
								</div>
							</div>
							<div class="col-xs-12 col-sm-4">
								<div class="form-group">
									<label for="pal6" class="">Palabra 6:</label>
									<div class="input-group">
										<div class="input-group-btn">
											<button type="button" id="opbtn6" class="btn btn-primary dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><strong>OR</strong> <span class="caret"></span></button>
											<ul class="dropdown-menu">
												<li><a href="#operador" onclick="operador('6', 'or')">OR</a></li>
												<li><a href="#operador" onclick="operador('6', 'and')">AND</a></li>
												<li><a href="#operador	" onclick="operador('6', 'not')">NOT</a></li>
											</ul>
										</div><!-- /btn-group -->
										<input type="hidden" name="op6" id="op6" value="or"	>
										<input type="text" name="pal6" id="pal6" class="form-control" value="">
									</div><!-- /input-group -->
								</div>
							</div>
						</div>

						<div class="row">
							<div class="col-xs-12 col-sm-4 col-sm-offset-4">
								<button type="submit" class="btn btn-primary" style="width: 100%"><span class="glyphicon glyphicon-search" aria-hidden="true"></span> Buscar</button>
							</div>
						</div>
						<div class="row">
							<br>
							<br>
							<ul class="nav nav-tabs" role="tablist">
								<li class="active"><a href="#resultado_panel" role="tab" data-toggle="tab" aria-expanded="">Resultados <span id="numtextos" class="badge">0</span></a></li>
								<li class=""><a href="#respuesta_panel" role="tab" data-toggle="tab" aria-expanded="">Respuestas previas <span id="numrespuestas" class="badge">0</span></a></li>
							</ul>

							<div id="" class="tab-content">
								<div class="tab-pane fade active in" id="resultado_panel" role="tabpanel">
									<table class="table table-hover" id="resultados">
										<thead>
											<tr>
												<th><span class="glyphicon glyphicon-check" aria-hidden="true"></span></th>
												<th>Contenido</th>
											</tr>
										</thead>
										<tbody>
											<tr><td></td><td></td></tr>
										</tbody>
									</table>
								</div>
								<div class="tab-pane fade" id="respuesta_panel" role="tabpanel">
									<table class="table table-hover" id="respuestas">
										<thead>
											<tr>
												<th><span class="glyphicon glyphicon-check" aria-hidden="true"></span></th>
												<th>Respuestas</th>
											</tr>
										</thead>
										<tbody>
											<tr><td></td><td></td></tr>
										</tbody>
									</table>
								</div>
							</div>

							<!-- <div class="panel panel-default">
								<div class="panel-heading"><strong>Resultados</strong></div>
								<div class="table-responsive">
									<table class="table table-hover" id="resultados">
										<thead>
											<tr>
												<th><span class="glyphicon glyphicon-check" aria-hidden="true"></span></th>
												<th>Contenido</th>
											</tr>
										</thead>
										<tbody>
											<tr><td></td><td></td></tr>
										</tbody>
									</table>
								</div>
							</div> -->
						</div>
					</form>       
				</div>
			</div>
		</div>
		<br>
		<div class="modal-footer">
			<button type="button" class="btn btn-default" data-dismiss="modal"><span class="glyphicon glyphicon-remove-circle" aria-hidden="true"></span> Cerrar</button>
			<button type="submit" class="btn btn-primary" id="agregar-respuesta"><span class="glyphicon glyphicon-copy" aria-hidden="true"></span> Agregar a la respuesta</button>
		</div>
	</div>
</div>
</div>